LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 12-02-2006, 05:44 AM   #1
paddyjoy
Member
 
Registered: Apr 2005
Location: Sydney
Distribution: FC5
Posts: 174

Rep: Reputation: 30
Debian Etch and php5 problem


Hi,

I'm having some trouble getting php installed on debian etch, does anyone have any idea what I'm doing wrong?

Code:
patrick:/var/www# apt-get install php5
Reading package lists... Done
Building dependency tree... Done
php5 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
patrick:/var/www# php
-bash: php: command not found
patrick:/var/www#
Seems like the php executable is not getting installed, is it in a different package?

Paddy
 
Old 12-02-2006, 05:55 AM   #2
Renars
LQ Newbie
 
Registered: Aug 2006
Location: Bauska, Latvia
Distribution: Ubuntu, Fedora
Posts: 29

Rep: Reputation: 15
See the message "php5 is already the newest version."
It's already installed.
You can locate it using slocate.
If you have slocate installed, do "/etc/cron.daily/slocate"
When that finishes, do "locate php" and look at the results.

Last edited by Renars; 12-02-2006 at 05:57 AM.
 
Old 12-02-2006, 05:57 AM   #3
paddyjoy
Member
 
Registered: Apr 2005
Location: Sydney
Distribution: FC5
Posts: 174

Original Poster
Rep: Reputation: 30
Thanks, gives me nothing!

patrick:/var/www# which php
patrick:/var/www#
 
Old 12-02-2006, 02:02 PM   #4
btmiller
Senior Member
 
Registered: May 2004
Location: In the DC 'burbs
Distribution: Arch, Scientific Linux, Debian, Ubuntu
Posts: 4,108

Rep: Reputation: 311Reputation: 311Reputation: 311Reputation: 311
At least with PHP 4 on Debian you needed the php4-cli package installed to get the command line php binary. Maybe there is a php5-cli package you need to install? In the future, note that you can use apt-cache search php to see all PHP related packages.
 
Old 12-02-2006, 05:54 PM   #5
paddyjoy
Member
 
Registered: Apr 2005
Location: Sydney
Distribution: FC5
Posts: 174

Original Poster
Rep: Reputation: 30
Thanks thats exactly what I was looking for php5-cli!

Paddy
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Canon iP4200 and Debian Etch Problem KRiSX.cjb.net Linux - Hardware 8 01-01-2007 03:01 PM
WPA_Supplicant problem on Debian Etch JaseP Linux - Wireless Networking 7 07-25-2006 01:44 AM
initrd problem (Debian etch on Toshiba Satellite) kaz2100 Linux - Laptop and Netbook 2 07-10-2006 08:26 PM
Debian etch GUI problem AaronKupen Linux - Software 3 06-16-2006 02:18 PM
Debian Etch Half Network Problem KRiSX.cjb.net Debian 4 06-06-2006 05:26 PM


All times are GMT -5. The time now is 06:43 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration